.canvas-controls-container {
	position: fixed;
	top: 0;
	left: 0;
	z-index: 100;
}

.hide {
	display: none !important;
}

.drawing-controls {
	background-color: var(--primary-extraDarkColor);
	position: absolute;
	left: 0;
	top: 50%;
	transform: translateY(-50%);
	z-index: 1;
	display: flex;
	flex-direction: column;
	padding: var(--spacing-x2);
	gap: var(--spacing-x2);
	border-top-right-radius: var(--border-radius-x5);
	border-bottom-right-radius: var(--border-radius-x5);
}

.drawing-controls.horizontal {
	width: 100%;
	flex-direction: row;
	top: 0;
	transform: translateY(0px);
	justify-content: center;
	border-radius: 0;
	border-bottom-left-radius: var(--border-radius-x5);
	border-bottom-right-radius: var(--border-radius-x5);
	box-shadow: 0 5px 5px rgba(0, 0, 0, 0.3);
}

.drawing-controls .close-btn {
	background-color: var(--danger-color);
	gap: var(--spacing-x1);
}

.drawing-controls button {
	display: flex;
	justify-content: center;
	align-items: center;
	padding: var(--spacing-x1);
	cursor: pointer;
	background-color: var(--primary-color);
	color: var(--white-color);
	border: none;
	border-radius: var(--border-radius-x5);
	position: relative;
	user-select: none;
}

.drawing-controls button:active {
	transform: scale(0.95);
}

.drawing-controls button.clear-btn {
	background-color: var(--secondary2-color);
}

.drawing-controls button:hover {
	filter: brightness(1.1);
}

.drawing-controls button.selected {
	background-color: var(--secondary-color);
}

.drawing-controls button svg {
	pointer-events: none;
}

.drawing-controls .floating-select {
	width: 14rem;
	display: flex;
	flex-direction: row-reverse;
	justify-content: flex-start;
	flex-wrap: wrap;
	position: absolute;
	right: -15rem;
	top: var(--spacing-x1);
	background-color: var(--primary-color);
	outline: 0.3rem solid var(--primary-extraDarkColor);
	z-index: 10;
	padding: var(--spacing-x1);
	gap: var(--spacing-x1);
	cursor: default;
}

.drawing-controls .floating-select .close-btn {
	width: 2.5rem;
	height: 2rem;
	display: flex;
	justify-content: center;
	align-items: center;
	position: absolute;
	top: -2.3rem;
	right: 0;
	border-top-left-radius: var(--border-radius-x5);
	border-top-right-radius: var(--border-radius-x5);
	padding: 0.3rem;
	cursor: pointer;
}

.drawing-controls.drawing-controls.horizontal .floating-select {
	top: calc(100% + 10px);
	right: unset;
	left: 0;
}

.drawing-controls.drawing-controls.horizontal .floating-select .close-btn {
	top: var(--spacing-x1);
	right: -2.8rem;
	border-radius: 0;
	border-top-right-radius: var(--border-radius-x5);
	border-bottom-right-radius: var(--border-radius-x5);
}

.drawing-controls .line-sizes-container .line-size {
	background-color: var(--white-color);
	width: 4rem;
	height: 4rem;
	border-radius: var(--border-radius-x5);
	display: flex;
	justify-content: center;
	align-items: center;
	padding: 0.2rem;
	cursor: pointer;
	position: relative;
}

.drawing-controls .line-sizes-container .line-size span {
	background-color: var(--primary-extraDarkColor);
	border-radius: 50%;
}

.drawing-controls .line-sizes-container .line-size.selected {
	background-color: var(--secondary-color) !important;
}

.drawing-controls .colors-btn {
	position: relative;
	display: flex;
	gap: 5px;
}

.drawing-controls:not(.horizontal) .colors-btn {
	flex-direction: column;
}

.drawing-controls .colors-btn[data-description="stroke-btn"]::after {
	content: "لون الخط";
	line-height: 1;
}
.drawing-controls .colors-btn[data-description="fill-btn"]::after {
	content: "لون التعبئة";
	line-height: 1;
}

.drawing-controls .colors-btn .current-color {
	width: 2.2rem;
	height: 2.2rem;
	background-color: black;
	outline: 0.1rem solid black;
	position: relative;
}

.drawing-controls .colors-btn .colors-container .color {
	width: 2rem;
	height: 2rem;
	cursor: pointer;
	outline: 0.1rem solid black;
	position: relative;
	overflow: hidden;
}
.drawing-controls .colors-btn .current-color[data-color="transparent"],
.drawing-controls .colors-btn .colors-container .color.transparent {
	background-color: white !important;
}

.drawing-controls .colors-btn .current-color[data-color="transparent"]::after,
.drawing-controls .colors-btn .colors-container .color.transparent::after {
	content: "";
	width: 3px;
	height: 30px;
	background-color: red;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%) rotate(45deg);
}

.drawing-controls .colors-btn .colors-container input[type="color"]::after {
	content: "";
	width: 100%;
	height: 100%;
	background: rgb(34, 193, 195);
	background: linear-gradient(
		286deg,
		rgba(34, 193, 195, 1) 0%,
		rgba(253, 187, 45, 1) 33%,
		rgba(253, 45, 199, 1) 66%,
		rgba(45, 252, 253, 1) 100%
	);
	position: absolute;
	top: 0;
	left: 0;
}

.drawing-controls .colors-btn .colors-container .color:hover {
	box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.5);
}

.drawing-controls .undo-redo-container {
	display: flex;
	justify-content: space-between;
	align-items: center;
	gap: var(--spacing-x1);
}
